## com.google.javascript.rhino.jstype
Interface StaticSlot<T>

Type Parameters:
  `T` - The type of information stored about the slot

All Known Implementing Classes:
  ObjectType.Property, Scope.Arguments, Scope.Var, SimpleSlot, SymbolTable.Symbol

    public interface StaticSlot<T>

The `StaticSlot` interface must be implemented by variables that can appear as members of a `StaticScope`.

Method Summary
`StaticReference<T>` | `getDeclaration()` Gets the declaration of this symbol.
`JSDocInfo` | `getJSDocInfo()` Gets the JSDoc for this slot.
`String` | `getName()` Gets the name of the slot.
`T` | `getType()` Returns the type information, if any, for this slot.
`boolean` | `isTypeInferred()` Returns whether the type has been inferred (as opposed to declared).

Method Detail

### getName

    String getName()

  Gets the name of the slot.

### getType

    T getType()

  Returns the type information, if any, for this slot.

  Returns:
    The type or `null` if no type is declared for it.

### isTypeInferred

    boolean isTypeInferred()

  Returns whether the type has been inferred (as opposed to declared).

### getDeclaration

    StaticReference<T> getDeclaration()

  Gets the declaration of this symbol. May not exist.

### getJSDocInfo

    JSDocInfo getJSDocInfo()

  Gets the JSDoc for this slot.